import java.io.IOException;

import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.sound.sampled.LineUnavailableException;

public class Wave extends Thread {
    public static int SAMPLING_RATE = 48000;
    public static int SOUND_FREQ = 880;
    private int times;
    private int msec;
    
    public Wave(int times, int msec) {
        this.times = times;
        this.msec  = msec;
    }
    
    @Override
    public void run() {
        //System.out.println("Sound Start");
        System.out.println("Sound " + times + " * " + msec + "ms");
        try {
            Clip clip = AudioSystem.getClip();
            clip.open(new WaveBeep(SAMPLING_RATE, SOUND_FREQ, msec/2));
            for (int i=0; i<times; i++) {
                clip.setFramePosition(0);
                clip.start();
                sleep(msec);
            }
            clip.close();
        } catch (LineUnavailableException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        //System.out.println("Sound End");
    }
}
